{ config, pkgs, ...}:

{
  home.sessionVariables.Editor = "nvim";

  programs = {
    neovim = {
      enable = true;

      extraConfig = ''
        syntax enable
        colorscheme gruvbox
        set number relativenumber
	highlight Comment cterm=italic gui=italic
	hi Normal guibg=NONE ctermbg=NONE
      '';
      plugins = with pkgs.vimPlugins; [
        vim-nix
	gruvbox
      ];
    };
  };
}
